OpenVDB 11.0.0

Loading...
Searching...
No Matches
AttributeSet.h File Reference

Set of Attribute Arrays which tracks metadata about each array. More...

`#include "AttributeArray.h"`
`#include <openvdb/version.h>`
`#include <openvdb/MetaMap.h>`
`#include <limits>`
`#include <memory>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | AttributeSet
| Ordered collection of uniquely-named attribute arrays. More...
struct | AttributeSet::Util
struct | AttributeSet::Util::NameAndType
| Attribute and type name pair. More...
class | Container
class | AttributeSet::Descriptor
| An immutable object that stores name, type and AttributeSet position for a constant collection of attribute arrays. More...
struct | AttributeSet::Descriptor::Inserter
| Utility method to construct a NameAndType sequence. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points
namespace | openvdb::v11_0::points::future
| A container for ABI=5 to help ease introduction of upcoming features.

## Typedefs
using | GroupType = uint8_t

## Detailed Description

Set of Attribute Arrays which tracks metadata about each array.

Authors
  Dan Bailey, Mihai Alden